ASSETS
Update Threat Radius Config
Persist per-asset category radius overrides
PUT
/
v1
/
assets
/
radius-config
Update threat radius config
curl --request PUT \
--url https://api.intrace.ai/v1/assets/radius-config \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"asset_radii": {}
}
'import requests
url = "https://api.intrace.ai/v1/assets/radius-config"
payload = { "asset_radii": {} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({asset_radii: {}})
};
fetch('https://api.intrace.ai/v1/assets/radius-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asset_radii": {},
"assets": [
{
"asset_id": "<string>",
"name": "<string>",
"asset_type": "<string>"
}
],
"defaults": {}
}Saves category-specific radius overrides.
Request Body
{
"asset_radii": {
"lagos-hq": {
"armed_conflict": 60,
"crime_or_violence": 8,
"weather": 75
},
"abuja-residence-1": {
"crime_or_violence": 3,
"civic_activity": 5
}
}
}
Notes
Values are documented in miles because the internal configuration uses category radii in miles, even though threat proximity in responses is expressed in kilometers.⌘I
Update threat radius config
